Skip to main content
PATCH
/
api
/
v1
/
app-connections
/
mssql
/
{connectionId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/app-connections/mssql/{connectionId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "isPlatformManagedCredentials": true,
  "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isAutoRotationEnabled": false,
  "rotation": "<unknown>"
}
'
{
  "appConnection": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "app": "mssql",
    "method": "username-and-password",
    "credentials": {
      "host": "<string>",
      "database": "<string>",
      "port": 123,
      "username": "<string>",
      "sslEnabled": true,
      "sslRejectUnauthorized": true,
      "sslCertificate": "<string>"
    },
    "description": "<string>",
    "version": 1,
    "isPlatformManagedCredentials": false,
    "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "isAutoRotationEnabled": false,
    "rotation": {
      "rotationInterval": 123,
      "rotationStatus": "success",
      "rotateAtUtc": {
        "hours": 123,
        "minutes": 123
      },
      "lastRotationMessage": "<string>",
      "nextRotationAt": "2023-11-07T05:31:56Z"
    },
    "credentialsHash": "<string>",
    "project": {
      "name": "<string>",
      "id": "<string>",
      "type": "<string>",
      "slug": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Check out the configuration docs for Microsoft SQL Server Connections to learn how to obtain the required credentials.

Path Parameters

connectionId
string<uuid>
required

The ID of the Microsoft SQL Server Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with Microsoft SQL Server.

name
string

The updated name of the Microsoft SQL Server Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the Microsoft SQL Server Connection.

Maximum string length: 256
isPlatformManagedCredentials
boolean

Whether or not the Microsoft SQL Server Connection credentials should be managed by Infisical. Once enabled this cannot be reversed.

gatewayId
string<uuid> | null

The Gateway ID to use for this connection.

isAutoRotationEnabled
enum<boolean>

Not supported for Microsoft SQL Server Connections.

Available options:
false
rotation

Not supported for Microsoft SQL Server Connections.

Response

Default Response

appConnection
Microsoft SQL Server (Username and Password) · object
required